cancel
Showing results for 
Search instead for 
Did you mean: 

Session_id Zend Error after upgrade from Magento 1.3 to 1.9.24 ( PHP 7 )

Session_id Zend Error after upgrade from Magento 1.3 to 1.9.24 ( PHP 7 )

Hi

 

I have upgraded Magento 1.3 to Magento 1.9 and implemented inchoo php 7 extension in the process ( so running on php 7 ) 

 

Everything appears to work on the front end and the back end - except if I try and get grouped products through the API I start getting the following errors - repeatedly.  Ideas?

 

Next Zend_Db_Statement_Exception: SQLSTATE[23000]: Integrity constraint violation: 1048 Column 'session_id' cannot be null, query was: INSERT INTO `log_visitor` (`session_id`, `first_visit_at`, `last_visit_at`, `last_url_id`, `store_id`) VALUES (?, ?, ?, ?, ?) in /html/lib/Zend/Db/Statement/Pdo.php:235

1 REPLY

Re: Session_id Zend Error after upgrade from Magento 1.3 to 1.9.24 ( PHP 7 )

You could change your fields to allow NULL

 

check a value is set before you try to use it change your database fields to have some sort of default value; even if that value is an empty string, e.g. bill_by_post NOT NULL DEFAULT '' (or equivalent, depending on the data type you're working with).

 

I hope this will help you.

OpenSource Expert | OpenSource Technologies | www.opensourcetechnologies.com
Magento plugins released: http://www.opensourcetechnologies.com/product/product-category/magento-extensions